Saltar al contenido principal
PUT
/
v1
/
agents
/
automations
/
{automationId}
Update one automation
curl --request PUT \
  --url https://api.bold-factory.com/v1/agents/automations/{automationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "<string>",
  "owner": "<string>",
  "schedule": {
    "interval": 123,
    "timezone": "<string>",
    "times": [
      "<string>"
    ],
    "daysOfWeek": [],
    "daysOfMonth": [
      123
    ],
    "lastDayOfMonth": true,
    "monthlyPattern": {},
    "between": {
      "start": "<string>",
      "end": "<string>"
    },
    "startDate": "2023-12-25",
    "endDate": "2023-12-25",
    "skipDates": [
      "2023-12-25"
    ]
  },
  "enabled": true
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

automationId
string
requerido

Cuerpo

application/json
agentId
string
requerido
owner
string
requerido
schedule
object
requerido
enabled
boolean
requerido

Respuesta

No Content